Subject: [Hipsec] Fwd: New Version Notification for draft-ietf-hip-rfc5201-bis-03

From: Tobias Heer <[email-masked]>
Date: Sat, 23 Oct 2010 16:30:39 +0200

Hello everyone,

we just submitted this new version of draft-ietf-hip-rfc5201-bis.

The document is available here: http://datatracker.ietf.org/doc/draft-ietf-hip-rfc5201-bis/

I would like to encourage you to provide feedback and reviews.

Thanks!

BR,

Tobias

Anfang der weitergeleiteten E-Mail:

> Von: IETF I-D Submission Tool <[email-masked]>
> Datum: 23. Oktober 2010 16:23:25 MESZ
> An: [email-masked]
> Kopie: [email-masked], [email-masked], [email-masked]
> Betreff: New Version Notification for draft-ietf-hip-rfc5201-bis-03
> 
> 
> A new version of I-D, draft-ietf-hip-rfc5201-bis-03.txt has been successfully submitted by Tobias Heer and posted to the IETF repository.
> 
> Filename:	 draft-ietf-hip-rfc5201-bis
> Revision:	 03
> Title:		 Host Identity Protocol
> Creation_date:	 2010-10-23
> WG ID:		 hip
> Number_of_pages: 116
> 
> Abstract:
> This document specifies the details of the Host Identity Protocol
> (HIP).  HIP allows consenting hosts to securely establish and
> maintain shared IP-layer state, allowing separation of the identifier
> and locator roles of IP addresses, thereby enabling continuity of
> communications across IP address changes.  HIP is based on a SIGMA-
> compliant Diffie-Hellman key exchange, using public key identifiers
> from a new Host Identity namespace for mutual peer authentication.
> The protocol is designed to be resistant to denial-of-service (DoS)
> and man-in-the-middle (MitM) attacks.  When used together with
> another suitable security protocol, such as the Encapsulated Security
> Payload (ESP), it provides integrity protection and optional
> encryption for upper-layer protocols, such as TCP and UDP.
> 
> This document obsoletes RFC 5201 and addresses the concerns raised by
> the IESG, particularly that of crypto agility.  It also incorporates
> lessons learned from the implementations of RFC 5201.
> 
> 
> 
> The IETF Secretariat.
> 
> 

-- 
Dipl.-Inform. Tobias Heer, Ph.D. Student
Chair of Communication and Distributed Systems - comsys
RWTH Aachen University, Germany
tel: +49 241 80 207 76
web: http://ds.cs.rwth-aachen.de/members/heer
blog: http://dtobi.wordpress.com/
card: http://card.ly/dtobi